LOCALEDEF(1)

NOM
localedef - Compiler des fichiers de définition de paramètres régionaux

SYNOPSIS
localedef [options] chemin_sortie
localedef --list-archive [options]
localedef --delete-from-archive [options] nom_locale ...
localedef --add-to-archive [options] chemin_binaires
localedef --version
localedef --help
localedef --usage

DESCRIPTION
Le programme localedef lit les fichiers table_caractères et entrée, les compile en une forme binaire qui peut être utilisée par les fonctions locale(7) de la bibliothèque C, et place la sortie dans chemin_sortie.

Si chemin_sortie contient une barre oblique (« / »), il s'agit du répertoire de sortie. Dans ce cas, il y aura un fichier de sortie distinct pour chaque catégorie (LC_CTIME, LC_NUMERIC, etc.) de paramètres régionaux (NdT : les paramètres régionaux sont aussi appelés localisation, ou « locale » en anglais).

Sinon, si l'option --no-archive est utilisée, chemin_sortie est le nom d'un sous répertoire de /usr/lib/locale où les fichiers compilés par catégorie sont placés.

Sinon, chemin_sortie est le nom de la localisation et les données compilées pour cette localisation sont ajoutées dans le fichier d'archive /usr/lib/locale/locale-archive.

Dans tous les cas, localedef s'arrête si le répertoire dans lequel il essaie d'écrire le fichier de paramètres régionaux n'a pas été créé.

Si aucun fichier table_caractère n'est fourni, la valeur POSIX est utilisée par défaut. Si aucun fichier entrée n'est fourni, ou si son nom est un moins (« - »), localedef lira l'entrée standard.

OPTIONS
La plupart des options ont une forme courte et une forme longue. Si plusieurs formes courtes sont utilisée, elles peuvent être fusionnées en un seul mot (par exemple -cv est identique à -c -v).

Si une option courte prend un paramètre, le paramètre peut être fourni séparément comme le mot suivant (-f toto), ou il peut être collé à l'option (-ftoto). Si une option longue prend un paramètre, le paramètre peut être fourni séparément comme le mot suivant, ou il peut être collé à l'option en le séparant par un signe « = » ((--charmap=toto).

  Options de sélection de l'opération
Quelques options demandent à localedef de faire autre chose que compiler des définitions de paramètres régionaux. Une seule d'entre-elles peut être utilisée à la fois.

--delete-from-archive
    Supprimer la localisation indiquée du fichier d'archive.

--list-archive
    Lister les localisations contenues dans le fichier d'archive.

--add-to-archive
    Ajouter les répertoires chemin_binaires au fichier d'archive des locales. Les répertoires doivent être créés par des exécutions antérieures de localedef avec l'option --no-archive.

  Autres options
Certaines des options suivantes n'ont de sens que pour certaines des opérations ; nous espérons que ce sera évident.

-f table_caractères, --charmap=table_caractères
    Spécifier le fichier qui définit les noms des caractères symboliques qui sont utilisés dans le fichier d'entrée. Si le fichier est dans le répertoire par défaut des tables de caractères, il n'est pas nécessaire de spécifier le chemin complet du fichier. Ce répertoire par défaut est donné par localedef --help.

-i entrée, --inputfile=entrée
    Spécifier le fichier de définition à compiler. Si le fichier entrée n'est pas fourni avec un chemin absolu, localedef recherchera également dans les répertoires spécifiés par la variable I18NPATH et dans le répertoire par défaut des fichiers de définitions de paramètres régionaux. Ce répertoire par défaut est donné par localedef --help.

-u fichier_répertoire, --repertoire-map=fichier_répertoire
    Lire l'association des noms symboliques avec les valeurs Unicode UCS4 depuis le fichier fichier_répertoire.

-A fichier_alias, --alias-file=fichier_alias
    Utiliser le fichier fichier_alias pour rechercher les alias des noms de locales. Il n'y a pas de fichier d'alias par défaut.

--prefix=nom_chemin
    Définir le préfixe à ajouter au chemin complet de l'archive. Par défaut, le préfixe est vide. En configurant le préfixe à toto, l'archive sera placé dans toto/usr/lib/locale/locale-archive.

-c, --force
    Écrire les fichiers de sortie même si des avertissements ont été générés à propos des fichiers d'entrée.

--old-style
    Créer des tables en utilisant l'ancien style.

-v, --verbose
    Générer des avertissements supplémentaires concernant les erreurs qui sont normalement ignorées.

--quiet
    Supprimer toutes les notifications et avertissements, et n'afficher que les erreurs fatales.

--posix
    Se conformer strictement à POSIX. Cette option implique l'option --verbose. Cette option n'a actuellement aucun autre effet. La conformité avec POSIX est assurée si la variable d'environnement POSIXLY_CORRECT est définie.

--replace
    Remplacer une locale dans le fichier d'archive des paramètres régionaux. Sans cette option, si la locale est déjà présente dans le fichier d'archive, une erreur surviendra.

--no-archive
    Ne pas utiliser le fichier d'archive, mais créer chemin_sortie comme un sous-répertoire du même répertoire que le fichier d'archive des paramètres régionaux, et y créer des fichiers séparés pour chaque catégorie.

--help
    Afficher un résumé pour l'utilisation et quitter. Afficher aussi les chemins par défaut utilisés par localedef.

--usage
    Afficher une brève description sur l'utilisation et quitter.

-V, --version
    Afficher le numéro de version, la licence, et un avertissement sur les conditions de garantie de localedef.

ENVIRONNEMENT

POSIXLY_CORRECT
    L'option --posix est supposée si cette variable d'environnement est définie.

I18NPATH
    Une liste de répertoires par défaut pour les fichiers de définition des paramètres régionaux, séparés par des deux-points.

FICHIERS

/usr/share/i18n/charmaps
    Chemin par défaut des tables de caractères.

/usr/share/i18n/locales
    Chemin par défaut des fichiers de sources des paramètres régionaux.

/usr/share/i18n/repertoiremaps
    Chemin par défaut des fichiers répertoire.

/usr/lib/locale/locale-archive
    Emplacement par défaut de l'archive des paramètres régionaux.

chemin_sortie/LC_COLLATE
    Un des fichiers de sortie. Il décrit les règles pour les comparaisons de chaînes de caractères dans l'alphabet régional.

chemin_sortie/LC_CTYPE
    Un des fichiers de sortie. Il contient les informations sur la casse des caractères et les conversions de casse avec ces paramètres régionaux.

chemin_sortie/LC_MONETARY
    Un des fichiers de sortie. Il décrit la façon dont les valeurs monétaires doivent être affichées avec ces paramètres régionaux.

chemin_sortie/LC_MESSAGES/SYS_LC_MESSAGES
    Un des fichiers de sortie. Il contient les informations à propos de la langue dans laquelle les messages doivent être affichés, et à quoi les réponses affirmatives et négatives ressemblent.

chemin_sortie/LC_NUMERIC
    Un des fichiers de sortie. Il décrit les règles de format des nombres avec ces paramètres régionaux.

chemin_sortie/LC_TIME
    Un des fichiers de sortie. Il décrit les règles de format des heures et des dates avec ces paramètres régionaux.

chemin_sortie/LC_PAPER
    Un des fichiers de sortie. Il décrit la taille du papier par défaut avec ces paramètres régionaux.

chemin_sortie/LC_NAME
    Un des fichiers de sortie. Il décrit les règles de format des noms avec ces paramètres régionaux.

chemin_sortie/LC_ADDRESS
    Un des fichiers de sortie. Il décrit les règles de format des adresses et informations sur les lieux avec ces paramètres régionaux.

chemin_sortie/LC_TELEPHONE
    Un des fichiers de sortie. Il décrit les règles de format des numéros de téléphone avec ces paramètres régionaux.

chemin_sortie/LC_MEASUREMENT
    Un des fichiers de sortie. Il décrit les règles pour les unités de mesure avec ces paramètres régionaux, par exemple utilisation du système métrique ou d'autres unités.

chemin_sortie/LC_IDENTIFICATION
    Un des fichiers de sortie. Il identifie les éléments de ces paramètres régionaux.

EXEMPLES
Compiler les fichiers de paramètres régionaux pour le finnois dans le jeu de caractères UTF-8 et l'ajouter à l'archive par défaut des paramètres régionaux, avec le nom fi_FI.UTF-8 :

    localedef -f UTF-8 -i fi_FI fi_FI.UTF-8

La même chose, mais générer les fichiers dans le répertoire en cours (notez que le dernier paramètre doit contenir une barre oblique (« / ») :

    localedef -f UTF-8 -i fi_FI ./

VOIR AUSSI
locale(5), locale(7), locale(1)

AUTEUR
Le programme a été écrit pas Ulrich Drepper.

Cette page de manuel a été écrite par Richard Braakman <dark@xs4all.nl> pour le projet Debian GNU/Linux et peut être utilisé ailleurs. Elle a été complétée par Alastair McKinstry <mckinstry@computer.org> pour expliquer les nouveaux éléments de la norme ISO 14652, et également par Lars Wirzenius <liw@iki.fi> pour documenter de nouvelles fonctionnalités (pour la version 2.3.5 de la bibliothèque GNU C). La page de manuel n'est pas gérée par les responsable de la libc GNU et peut ne pas être à jour.

NORMES
Ce programme est conforme à la norme POSIX P1003.2

TRADUCTION
Cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.